post
https://api.getknit.dev/v1.0/accounting.items.update
Update an Item with given details.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Supported Apps
Here are the list of apps that support this API.
Quickbooks (quickbooks)
- Allowed values for "type" field:
INVENTORY,SERVICE, andNON_INVENTORY. - Use passthrough request to get the list of assetAccountIds, get the list of salesDetails.accountIds, and get the list of purchaseDetails.accountIds.
Netsuite (netsuite)
- Allowed values for "itemType" field:
INVENTORY,nonInventoryPurchase,nonInventoryResale,nonInventorySale,servicePurchase,serviceResale,serviceSale,otherChargePurchase,otherChargeResale, andotherChargeSale. - Use passthrough request to get the list of salesDetails.accountIds.
Microsoft Dynamics Business Central (microsoft-dynamics-business-central)
- Allowed values for "type" field:
INVENTORY,SERVICE, andNON_INVENTORY. - Use passthrough request to get the list of baseUnitOfMeasureIds, get the list of generalProductPostingGroupIds, and get the list of inventoryPostingGroupIds.
SAP S/4HANA Cloud Public Edition (sap-s4hana-cloud-public)
Required Fields:
itemId
Optional Honored Fields:
itemType- allowed valuesINVENTORY,SERVICE, andNON_INVENTORY(mapped to SAP'sHAWA,SERV, andNLAGproduct types respectively).metaData.BaseUnititemCode- set as the product's old/external material number.status-ACTIVEclears the deletion flag; any other value marks the product for deletion.description- updates the product's description.metaData.Language- defaults toEN, used for the description's language.
Notes:
- Changing
itemTypeon an existing item always fails with SAP errorPMD_MSG/062("Product type... cannot be changed") - product type is immutable after creation in SAP, this isn't specific to Knit. - Any other
metaDatakey is passed through as-is on the request body.

